Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class WizPrint

    java.lang.Object
      com.sun.interview.WizPrint

    public class WizPrint

extends java.lang.Object

An API (with a basic front-end application) for generating HTML printouts of an `interview`.

Nested Class Summary
`static class` | `WizPrint.BadArgs` This exception is to report problems that occur with command line arguments.
`static class` | `WizPrint.Fault` This exception is to report problems that occur while updating an interview.

Constructor Summary
`WizPrint(Interview interview)` Create an object for printing the current set of questions from an interview.
`WizPrint(Interview interview, Question[] questions)` Create an object for printing a set of questions from an interview.

Method Summary
`boolean` | `getShowResponses()` Determine whether or not responses should be shown when the interview is "printed" to HTML.
`boolean` | `getShowResponseTypes()` Determine whether or not the types of responses should be shown when the interview is "printed" to HTML.
`boolean` | `getShowTags()` Determine whether or not question tags should be shown when the interview is "printed" to HTML.
`static void` | `main(java.lang.String[] args)` Simple command-line front-end to the facilities of the API.
`void` | `setShowResponses(boolean showResponses)` Specify whether or not responses should be shown when the interview is "printed" to HTML.
`void` | `setShowResponseTypes(boolean showResponseTypes)` Specify whether or not the types of responses should be shown when the interview is "printed" to HTML.
`void` | `setShowTags(boolean showTags)` Specify whether or not question tags should be shown when the interview is "printed" to HTML.
`static void` | `usage()` Write a short description of the command line syntax and options to System.err.
`void` | `write(java.io.Writer o)` Write the selected questions to the given stream, as a complete HTML document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WizPrint

    public WizPrint(Interview interview)

  Create an object for printing the current set of questions from an interview.

  Parameters:
    `interview` - The parent interview which contains the questions.

### WizPrint

    public WizPrint(Interview interview,
                    Question[] questions)

  Create an object for printing a set of questions from an interview.

  Parameters:
    `interview` - The parent interview which contains the questions.
    `questions` - The selected set of questions to be printed.

Method Detail

### usage

    public static void usage()

  Write a short description of the command line syntax and options to System.err.

### main

    public static void main(java.lang.String[] args)

  Simple command-line front-end to the facilities of the API.

  Parameters:
    `args` - Command line arguments.
  See Also:
    `usage()`

### getShowResponses

    public boolean getShowResponses()

  Determine whether or not responses should be shown when the interview is "printed" to HTML.

  Returns:
    true if responses should be shown
  See Also:
    `setShowResponses(boolean)`

### setShowResponses

    public void setShowResponses(boolean showResponses)

  Specify whether or not responses should be shown when the interview is "printed" to HTML.

  Parameters:
    `showResponses` - should be true if responses should be shown
  See Also:
    `getShowResponses()`

### getShowResponseTypes

    public boolean getShowResponseTypes()

  Determine whether or not the types of responses should be shown when the interview is "printed" to HTML.

  Returns:
    true if the types of responses should be shown
  See Also:
    `setShowResponseTypes(boolean)`

### setShowResponseTypes

    public void setShowResponseTypes(boolean showResponseTypes)

  Specify whether or not the types of responses should be shown when the interview is "printed" to HTML.

  Parameters:
    `showResponseTypes` - should be true if the types of responses should be shown
  See Also:
    `getShowResponseTypes()`

### getShowTags

    public boolean getShowTags()

  Determine whether or not question tags should be shown when the interview is "printed" to HTML.

  Returns:
    true if the questions' tags should be shown
  See Also:
    `setShowTags(boolean)`

### setShowTags

    public void setShowTags(boolean showTags)

  Specify whether or not question tags should be shown when the interview is "printed" to HTML.

  Parameters:
    `showTags` - should be true if the questions' tags should be shown
  See Also:
    `getShowTags()`

### write

    public void write(java.io.Writer o)
               throws java.io.IOException

  Write the selected questions to the given stream, as a complete HTML document. The stream is closed after the writing is complete.

  Parameters:
    `o` - the Writer to which to write the specified information about an interview
  Throws:
    `java.io.IOException` - if there are problems writing to the given Writer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.